Bug 806058 - [PEM] pem_CreateObject() leaks memory given a non-existing file name
[PEM] pem_CreateObject() leaks memory given a non-existing file name
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
rawhide
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Elio Maldonado Batiz
Fedora Extras Quality Assurance
: Patch
Depends On: 734760 746632
Blocks: 746629
  Show dependency treegraph
 
Reported: 2012-03-22 15:21 EDT by Elio Maldonado Batiz
Modified: 2012-05-04 13:16 EDT (History)
6 users (show)

See Also:
Fixed In Version: nss-3.13.4-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 746632
Environment:
Last Closed: 2012-04-18 15:41:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix memory leak on non-existent file name (888 bytes, patch)
2012-03-28 23:27 EDT, Elio Maldonado Batiz
kdudka: review+
Details | Diff

  None (edit)
Comment 1 Elio Maldonado Batiz 2012-03-22 15:46:33 EDT
The fix on Bug 734760 wasn't complete, it didn't destroy an internal object.
Comment 2 Elio Maldonado Batiz 2012-03-28 23:27:42 EDT
Created attachment 573510 [details]
Fix memory leak on non-existent file name
Comment 3 Elio Maldonado Batiz 2012-03-28 23:28:38 EDT
Comment on attachment 573510 [details]
Fix memory leak on non-existent file name

Kamil may be on vacation.
Comment 4 Kamil Dudka 2012-04-02 07:49:04 EDT
Comment on attachment 573510 [details]
Fix memory leak on non-existent file name

r+
Comment 5 Fedora Update System 2012-04-06 19:49:07 EDT
nss-util-3.13.4-1.fc17, nss-3.13.4-1.fc17, nss-softokn-3.13.4-1.fc17, nspr-4.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.4-1.fc17,nss-softokn-3.13.4-1.fc17,nss-util-3.13.4-1.fc17,nspr-4.9-2.fc17
Comment 6 Fedora Update System 2012-04-08 16:06:04 EDT
nss-softokn-3.13.4-1.fc17, nspr-4.9-2.fc17, nss-3.13.4-2.fc17, nss-util-3.13.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.4-2.fc17,nss-softokn-3.13.4-1.fc17,nss-util-3.13.4-2.fc17,nspr-4.9-2.fc17
Comment 7 Fedora Update System 2012-04-08 16:06:04 EDT
nss-3.13.4-2.fc16, nss-softokn-3.13.4-1.fc16, nspr-4.9-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-5086/nss-3.13.4-2.fc16,nss-softokn-3.13.4-1.fc16,nspr-4.9-2.fc16
Comment 8 Fedora Update System 2012-04-10 16:13:33 EDT
Package nss-softokn-3.13.4-1.fc17, nspr-4.9-2.fc17, nss-3.13.4-2.fc17, nss-util-3.13.4-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nss-softokn-3.13.4-1.fc17 nspr-4.9-2.fc17 nss-3.13.4-2.fc17 nss-util-3.13.4-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4788/nss-3.13.4-2.fc17,nss-softokn-3.13.4-1.fc17,nss-util-3.13.4-2.fc17,nspr-4.9-2.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-04-11 13:27:48 EDT
nss-3.13.4-2.fc15,nss-softokn-3.13.4-1.fc15,nspr-4.9-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nss-3.13.4-2.fc15,nss-softokn-3.13.4-1.fc15,nspr-4.9-2.fc15
Comment 10 Fedora Update System 2012-04-18 15:41:54 EDT
nss-3.13.4-2.fc16, nss-softokn-3.13.4-1.fc16, nspr-4.9-2.fc16, nss-util-3.13.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-04-18 18:52:05 EDT
nspr-4.9-2.fc17, nss-softokn-3.13.4-2.fc17, nss-3.13.4-2.fc17, nss-util-3.13.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-04-27 02:01:24 EDT
nss-3.13.4-2.fc15, nss-softokn-3.13.4-1.fc15, nspr-4.9-2.fc15, nss-util-3.13.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.